dudley/src/Assemble_interpolate.cpp File Reference
`#include "Assemble.h"`
`#include "ShapeTable.h"`
`#include "Util.h"`
`#include <escript/index.h>`

## Namespaces

| dudley
| A suite of factory methods for creating 2D and 3D dudley domains.

## Functions

template<typename Scalar >
void | dudley::Assemble_interpolate (const NodeFile *nodes, const ElementFile *elements, const escript::Data &data, escript::Data &output)
| interpolates nodal data in a data array onto elements (=integration points) More...
template void | dudley::Assemble_interpolate< escript::DataTypes::real_t > (const NodeFile *nodes, const ElementFile *elements, const escript::Data &data, escript::Data &interpolated_data)
template void | dudley::Assemble_interpolate< escript::DataTypes::cplx_t > (const NodeFile *nodes, const ElementFile *elements, const escript::Data &data, escript::Data &interpolated_data)